Fuse

Releases

v1.16.0

10/03/2026

New features

  • Adds support for 2025 tax record

  • New income fields ungdomsprogramytelse and livsvarigAvtalefestetPensjonIOffentligSektor are now included in total income

  • Removed loennsinntektUtenTrygdeavgiftspliktOgMedTrekkplikt from salary calculation (field removed by Skatteetaten in 2025)

v1.15.0

09/03/2026

New features

  • Adds originalBalanceByOwnership and estimatedBalanceByOwnership to mortgage debt, reflecting the balance adjusted by the property ownership share

v1.14.0

09/12/2025

New features

  • Reorganized error codes to use HTTP status code prefixes in string format

  • Error codes now follow format {HTTP_STATUS}-{XXX} where XXX is 000-999

  • Each HTTP status code gets its own 1000-code range (e.g., 400-000 to 400-999 for Bad Request errors)

  • Error responses now include code field with standardized error codes

v1.13.0

17/03/2025

New features

  • Adds support for oauth client credentials flow

  • Caching improvements

v1.12.0

05/03/2025

New features

  • Adds support for 2024 tax record

v1.11.0

06/01/2025

New features

  • Adds GET /inquiry endpoint

  • Adds prerequisites property to Inquiry

v1.10.1

23/06/2024

New features

  • Improved auto debt matching

v1.10.0

22/05/2024

New features

  • Adds support for 2023 tax record changes

v1.9.0

21/01/2024

New features

  • Switch to new losøre registry API

v1.8.0

20/10/2023

New features

  • Adds housingCooperative information on property. Documentation is updated with an anyOf specification for property type, which makes it easier to differentiate between self owned properties and housing cooperatives.

v1.7.1

19/10/2023

New features

  • Updates interest rates for mortgages, student loans and car loans for Ikano. Mortgages = 5.00%, Student loans = 3.95%, Car loans = 6.29%

v1.7.0

26/02/2023

New features

  • Consumers can now fetch data directly from the /person endpoint using the code query param. This allows consumers to fetch the same data several times via /person without incurring extra costs (code query param needed to not incurr extra costs).

v1.6.0

01/02/2023

Improvements

  • Adds documentation for family relations.

v1.5.0

26/01/2023

New features

  • Updates interest rates for mortgages, student loans and car loans for Ikano. Mortgages = 3.39%, Student loans = 2.32%, Car loans 5.19%.

  • Consumers can now request a branded loader, which gives users visiting the loading screen a more coherent experience.

v1.4.0

01/08/2022

New features

  • Adds new variable to person hasAttachmentCharge, which will be true if any liens in the movables registry are either of type UTLEGG or UTPANTING.

v1.3.0

31/03/2022

New features

  • Adds fields sumAccruedInterestFromDebtCollectors, sumOwedMaintenancePayments, sumOwedUnderpaidTax, sumLatePaymentInterest to debt object originating from sbl tax record.

  • Adds fields yearlyUnemploymentBenefit, yearlyWorkAssessmentAllowance to income object originating from sbl a-melding.

v1.2.0

25/03/2022

New features

  • Adds new field called adjustedOriginalBalance to mortgages.

v1.1.0

24/03/2022

New features

  • Adds fields estimatedDuration, estimatedRemainingDuration, estimatedNominalInterestRate, estimatedMonthlyPayment to studentDebt, mortgageDebt and autoDebt.